<?php


abstract class BaseDestinosPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'DESTINOS';

	
	const CLASS_DEFAULT = 'lib.model.Destinos';

	
	const NUM_COLUMNS = 7;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;


	
	const CODMUN = 'DESTINOS.CODMUN';

	
	const ID_COMISION = 'DESTINOS.ID_COMISION';

	
	const ORDEN = 'DESTINOS.ORDEN';

	
	const ESTADO = 'DESTINOS.ESTADO';

	
	const OBSERVACION = 'DESTINOS.OBSERVACION';

	
	const VIGENCIA = 'DESTINOS.VIGENCIA';

	
	const CODDEPTO = 'DESTINOS.CODDEPTO';

	
	private static $phpNameMap = null;


	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('Codmun', 'IdComision', 'Orden', 'Estado', 'Observacion', 'Vigencia', 'Coddepto', ),
		BasePeer::TYPE_COLNAME => array (DestinosPeer::CODMUN, DestinosPeer::ID_COMISION, DestinosPeer::ORDEN, DestinosPeer::ESTADO, DestinosPeer::OBSERVACION, DestinosPeer::VIGENCIA, DestinosPeer::CODDEPTO, ),
		BasePeer::TYPE_FIELDNAME => array ('CODMUN', 'ID_COMISION', 'ORDEN', 'ESTADO', 'OBSERVACION', 'VIGENCIA', 'CODDEPTO', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('Codmun' => 0, 'IdComision' => 1, 'Orden' => 2, 'Estado' => 3, 'Observacion' => 4, 'Vigencia' => 5, 'Coddepto' => 6, ),
		BasePeer::TYPE_COLNAME => array (DestinosPeer::CODMUN => 0, DestinosPeer::ID_COMISION => 1, DestinosPeer::ORDEN => 2, DestinosPeer::ESTADO => 3, DestinosPeer::OBSERVACION => 4, DestinosPeer::VIGENCIA => 5, DestinosPeer::CODDEPTO => 6, ),
		BasePeer::TYPE_FIELDNAME => array ('CODMUN' => 0, 'ID_COMISION' => 1, 'ORDEN' => 2, 'ESTADO' => 3, 'OBSERVACION' => 4, 'VIGENCIA' => 5, 'CODDEPTO' => 6, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, )
	);

	
	public static function getMapBuilder()
	{
		return BasePeer::getMapBuilder('lib.model.map.DestinosMapBuilder');
	}
	
	public static function getPhpNameMap()
	{
		if (self::$phpNameMap === null) {
			$map = DestinosPeer::getTableMap();
			$columns = $map->getColumns();
			$nameMap = array();
			foreach ($columns as $column) {
				$nameMap[$column->getPhpName()] = $column->getColumnName();
			}
			self::$phpNameMap = $nameMap;
		}
		return self::$phpNameMap;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants TYPE_PHPNAME, TYPE_COLNAME, TYPE_FIELDNAME, TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(DestinosPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(DestinosPeer::CODMUN);

		$criteria->addSelectColumn(DestinosPeer::ID_COMISION);

		$criteria->addSelectColumn(DestinosPeer::ORDEN);

		$criteria->addSelectColumn(DestinosPeer::ESTADO);

		$criteria->addSelectColumn(DestinosPeer::OBSERVACION);

		$criteria->addSelectColumn(DestinosPeer::VIGENCIA);

		$criteria->addSelectColumn(DestinosPeer::CODDEPTO);

	}

	const COUNT = 'COUNT(DESTINOS.CODMUN)';
	const COUNT_DISTINCT = 'COUNT(DISTINCT DESTINOS.CODMUN)';

	
	public static function doCount(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(DestinosPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(DestinosPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$rs = DestinosPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}
	
	public static function doSelectOne(Criteria $criteria, $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = DestinosPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, $con = null)
	{
		return DestinosPeer::populateObjects(DestinosPeer::doSelectRS($criteria, $con));
	}
	
	public static function doSelectRS(Criteria $criteria, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if (!$criteria->getSelectColumns()) {
			$criteria = clone $criteria;
			DestinosPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

						return BasePeer::doSelect($criteria, $con);
	}
	
	public static function populateObjects(ResultSet $rs)
	{
		$results = array();
	
				$cls = DestinosPeer::getOMClass();
		$cls = sfPropel::import($cls);
				while($rs->next()) {
		
			$obj = new $cls();
			$obj->hydrate($rs);
			$results[] = $obj;
			
		}
		return $results;
	}

	
	public static function doCountJoinMunicipios(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(DestinosPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(DestinosPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(DestinosPeer::CODMUN, MunicipiosPeer::CODMUN);

		$rs = DestinosPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinDepartamentos(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(DestinosPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(DestinosPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(DestinosPeer::CODDEPTO, DepartamentosPeer::CODDEPTO);

		$rs = DestinosPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinComisiones(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(DestinosPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(DestinosPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(DestinosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(DestinosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(DestinosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(DestinosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$rs = DestinosPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinMunicipios(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		DestinosPeer::addSelectColumns($c);
		$startcol = (DestinosPeer::NUM_COLUMNS - DestinosPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		MunicipiosPeer::addSelectColumns($c);

		$c->addJoin(DestinosPeer::CODMUN, MunicipiosPeer::CODMUN);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = DestinosPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = MunicipiosPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getMunicipios(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addDestinos($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initDestinoss();
				$obj2->addDestinos($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinDepartamentos(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		DestinosPeer::addSelectColumns($c);
		$startcol = (DestinosPeer::NUM_COLUMNS - DestinosPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		DepartamentosPeer::addSelectColumns($c);

		$c->addJoin(DestinosPeer::CODDEPTO, DepartamentosPeer::CODDEPTO);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = DestinosPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = DepartamentosPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getDepartamentos(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addDestinos($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initDestinoss();
				$obj2->addDestinos($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinComisiones(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		DestinosPeer::addSelectColumns($c);
		$startcol = (DestinosPeer::NUM_COLUMNS - DestinosPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		ComisionesPeer::addSelectColumns($c);

		$c->addJoin(DestinosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);
		$c->addJoin(DestinosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);
		$c->addJoin(DestinosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);
		$c->addJoin(DestinosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = DestinosPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = ComisionesPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getComisiones(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addDestinos($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initDestinoss();
				$obj2->addDestinos($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doCountJoinAll(Criteria $criteria, $distinct = false, $con = null)
	{
		$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(DestinosPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(DestinosPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(DestinosPeer::CODMUN, MunicipiosPeer::CODMUN);

		$criteria->addJoin(DestinosPeer::CODDEPTO, DepartamentosPeer::CODDEPTO);

		$criteria->addJoin(DestinosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(DestinosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(DestinosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(DestinosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$rs = DestinosPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinAll(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		DestinosPeer::addSelectColumns($c);
		$startcol2 = (DestinosPeer::NUM_COLUMNS - DestinosPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		MunicipiosPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + MunicipiosPeer::NUM_COLUMNS;

		DepartamentosPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + DepartamentosPeer::NUM_COLUMNS;

		ComisionesPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + ComisionesPeer::NUM_COLUMNS;

		$c->addJoin(DestinosPeer::CODMUN, MunicipiosPeer::CODMUN);

		$c->addJoin(DestinosPeer::CODDEPTO, DepartamentosPeer::CODDEPTO);

		$c->addJoin(DestinosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$c->addJoin(DestinosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$c->addJoin(DestinosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$c->addJoin(DestinosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = DestinosPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);


					
			$omClass = MunicipiosPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getMunicipios(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addDestinos($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj2->initDestinoss();
				$obj2->addDestinos($obj1);
			}


					
			$omClass = DepartamentosPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj3 = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getDepartamentos(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addDestinos($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj3->initDestinoss();
				$obj3->addDestinos($obj1);
			}


					
			$omClass = ComisionesPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj4 = new $cls();
			$obj4->hydrate($rs, $startcol4);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj4 = $temp_obj1->getComisiones(); 				if ($temp_obj4->getPrimaryKey() === $obj4->getPrimaryKey()) {
					$newObject = false;
					$temp_obj4->addDestinos($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj4->initDestinoss();
				$obj4->addDestinos($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doCountJoinAllExceptMunicipios(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(DestinosPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(DestinosPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(DestinosPeer::CODDEPTO, DepartamentosPeer::CODDEPTO);

		$criteria->addJoin(DestinosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(DestinosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(DestinosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(DestinosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$rs = DestinosPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptDepartamentos(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(DestinosPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(DestinosPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(DestinosPeer::CODMUN, MunicipiosPeer::CODMUN);

		$criteria->addJoin(DestinosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(DestinosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(DestinosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(DestinosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$rs = DestinosPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptComisiones(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(DestinosPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(DestinosPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(DestinosPeer::CODMUN, MunicipiosPeer::CODMUN);

		$criteria->addJoin(DestinosPeer::CODDEPTO, DepartamentosPeer::CODDEPTO);

		$rs = DestinosPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinAllExceptMunicipios(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		DestinosPeer::addSelectColumns($c);
		$startcol2 = (DestinosPeer::NUM_COLUMNS - DestinosPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		DepartamentosPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + DepartamentosPeer::NUM_COLUMNS;

		ComisionesPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + ComisionesPeer::NUM_COLUMNS;

		$c->addJoin(DestinosPeer::CODDEPTO, DepartamentosPeer::CODDEPTO);

		$c->addJoin(DestinosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$c->addJoin(DestinosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$c->addJoin(DestinosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$c->addJoin(DestinosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = DestinosPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = DepartamentosPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getDepartamentos(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addDestinos($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initDestinoss();
				$obj2->addDestinos($obj1);
			}

			$omClass = ComisionesPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getComisiones(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addDestinos($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initDestinoss();
				$obj3->addDestinos($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptDepartamentos(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		DestinosPeer::addSelectColumns($c);
		$startcol2 = (DestinosPeer::NUM_COLUMNS - DestinosPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		MunicipiosPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + MunicipiosPeer::NUM_COLUMNS;

		ComisionesPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + ComisionesPeer::NUM_COLUMNS;

		$c->addJoin(DestinosPeer::CODMUN, MunicipiosPeer::CODMUN);

		$c->addJoin(DestinosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$c->addJoin(DestinosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$c->addJoin(DestinosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$c->addJoin(DestinosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = DestinosPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = MunicipiosPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getMunicipios(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addDestinos($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initDestinoss();
				$obj2->addDestinos($obj1);
			}

			$omClass = ComisionesPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getComisiones(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addDestinos($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initDestinoss();
				$obj3->addDestinos($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptComisiones(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		DestinosPeer::addSelectColumns($c);
		$startcol2 = (DestinosPeer::NUM_COLUMNS - DestinosPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		MunicipiosPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + MunicipiosPeer::NUM_COLUMNS;

		DepartamentosPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + DepartamentosPeer::NUM_COLUMNS;

		$c->addJoin(DestinosPeer::CODMUN, MunicipiosPeer::CODMUN);

		$c->addJoin(DestinosPeer::CODDEPTO, DepartamentosPeer::CODDEPTO);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = DestinosPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = MunicipiosPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getMunicipios(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addDestinos($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initDestinoss();
				$obj2->addDestinos($obj1);
			}

			$omClass = DepartamentosPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getDepartamentos(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addDestinos($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initDestinoss();
				$obj3->addDestinos($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


  static public function getUniqueColumnNames()
  {
    return array();
  }
	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return DestinosPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}


				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->begin();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollback();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(DestinosPeer::CODMUN);
			$selectCriteria->add(DestinosPeer::CODMUN, $criteria->remove(DestinosPeer::CODMUN), $comparison);

			$comparison = $criteria->getComparison(DestinosPeer::ID_COMISION);
			$selectCriteria->add(DestinosPeer::ID_COMISION, $criteria->remove(DestinosPeer::ID_COMISION), $comparison);

			$comparison = $criteria->getComparison(DestinosPeer::VIGENCIA);
			$selectCriteria->add(DestinosPeer::VIGENCIA, $criteria->remove(DestinosPeer::VIGENCIA), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}
		$affectedRows = 0; 		try {
									$con->begin();
			$affectedRows += BasePeer::doDeleteAll(DestinosPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	 public static function doDelete($values, $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(DestinosPeer::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} elseif ($values instanceof Destinos) {

			$criteria = $values->buildPkeyCriteria();
		} else {
						$criteria = new Criteria(self::DATABASE_NAME);
												if(count($values) == count($values, COUNT_RECURSIVE))
			{
								$values = array($values);
			}
			$vals = array();
			foreach($values as $value)
			{

				$vals[0][] = $value[0];
				$vals[1][] = $value[1];
				$vals[2][] = $value[2];
			}

			$criteria->add(DestinosPeer::CODMUN, $vals[0], Criteria::IN);
			$criteria->add(DestinosPeer::ID_COMISION, $vals[1], Criteria::IN);
			$criteria->add(DestinosPeer::VIGENCIA, $vals[2], Criteria::IN);
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->begin();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	public static function doValidate(Destinos $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(DestinosPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(DestinosPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(DestinosPeer::DATABASE_NAME, DestinosPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = DestinosPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
            $request->setError($col, $failed->getMessage());
        }
    }

    return $res;
	}

	
	public static function retrieveByPK( $codmun, $id_comision, $vigencia, $con = null) {
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}
		$criteria = new Criteria();
		$criteria->add(DestinosPeer::CODMUN, $codmun);
		$criteria->add(DestinosPeer::ID_COMISION, $id_comision);
		$criteria->add(DestinosPeer::VIGENCIA, $vigencia);
		$v = DestinosPeer::doSelect($criteria, $con);

		return !empty($v) ? $v[0] : null;
	}
} 
if (Propel::isInit()) {
			try {
		BaseDestinosPeer::getMapBuilder();
	} catch (Exception $e) {
		Propel::log('Could not initialize Peer: ' . $e->getMessage(), Propel::LOG_ERR);
	}
} else {
			Propel::registerMapBuilder('lib.model.map.DestinosMapBuilder');
}
